Package: org.grails.plugins.services

## [Groovy] Class ServicesGrailsPlugin

- org.grails.plugins.services.ServicesGrailsPlugin

- Configures services in the Spring context.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()` /*Service.groovy", "file:.
    `` | `static java.lang.Object` | `hasGrailsTransactionalAnnotation(GrailsServiceClass serviceClass)` Determines if grails service class has grails.transactional.Transactional annotation present on class or methods
    `` | `static java.lang.Object` | `isTransactionalOrHasSpringTransactionalAnnotation(GrailsServiceClass serviceClass)` Determines if grails service class has org.springframework.transaction.annotation.Transactional annotation present on class or methods OR if service class has transactional = true static property
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object loadAfter

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### groovy.lang.Closure doWithSpring()

      /*Service.groovy", "file:./plugins/

    - #### @groovy.transform.CompileStatic static java.lang.Object hasGrailsTransactionalAnnotation(GrailsServiceClass serviceClass)

      Determines if grails service class has grails.transactional.Transactional annotation present on class or methods

      Parameters:
        `serviceClass` - grails service class
      Returns:
        boolean

    - #### @groovy.transform.CompileStatic static java.lang.Object isTransactionalOrHasSpringTransactionalAnnotation(GrailsServiceClass serviceClass)

      Determines if grails service class has org.springframework.transaction.annotation.Transactional annotation present on class or methods OR if service class has transactional = true static property

      Parameters:
        `serviceClass` - grails service class
      Returns:
        boolean

    - #### void onChange(java.util.Map<java.lang.String, java.lang.Object> event)